import request from '@/utils/request'

// 查询列表
export function getSchemeList(params) {
  return request({
    url: '/yfc-admin/web/scheme/list',
    method: 'get',
    params
  })
}

// 查询详情
export function getSchemeDetail(id) {
  return request({
    url: '/yfc-admin/web/scheme/' + id,
    method: 'get'
  })
}

// 新增设备
export function addScheme(data) {
  return request({
    url: '/yfc-admin/web/scheme',
    method: 'post',
    data
  })
}

// 修改设备
export function updateScheme(data) {
  return request({
    url: '/yfc-admin/web/scheme',
    method: 'put',
    data
  })
}

// 删除设备
export function deleteScheme(id) {
  return request({
    url: '/yfc-admin/web/scheme/' + id,
    method: 'delete'
  })
}
